Name:           babyutils
Version:        0.3.0
Release:        1%{?dist}
Summary:        Symbolic assembler and simulator for the Manchester Baby
License:        MIT
URL:            https://github.com/andy-bower/babyutils
Source0:        https://github.com/andy-bower/babyutils/archive/refs/tags/v%{version}.tar.gz
Source1:        https://sw.cdefg.uk/babyutils/src/%{name}-%{version}.tar.gz.asc
Source2:        https://sw.cdefg.uk/babyutils/babyutils-signing-keys.gpg

BuildRequires:  make gcc
BuildRequires:  gnupg2

%description
Symbolic assembler and simulator for the Manchester Baby

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup

%build
%make_build

%install
%make_install LICENSESDIR= prefix=/usr

%check
make test

%files
%{_bindir}/bas
%{_bindir}/bsim
%license COPYING
%doc %{_pkgdocdir}/README.md
%doc %{_pkgdocdir}/examples
%{_mandir}/man1/bas.1*
%{_mandir}/man1/bsim.1*

%changelog
* Mon Feb 27 2023 Andrew Bower <andrew@bower.uk> - 0.3.0-1
- add .snp file format
- fix instruction encoding

* Wed Feb 15 2023 Andrew Bower <andrew@bower.uk> - 0.2.1-1
- fix line length detection affecting aarch64 builds

* Wed Feb 15 2023 Andrew Bower <andrew@bower.uk> - 0.2.0-1
- add simulator

* Thu Feb 09 2023 Andrew Bower <andrew@bower.uk> - 0.1.0-1
- First release
